"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSidebarJson = void 0;
exports.getSidebarJson = (navigation, outFolder, sidebar) => {
    var _a;
    const navJson = [];
    const getShortName = (title) => {
        const longTitle = title.split('.');
        return longTitle[longTitle.length - 1];
    };
    (_a = navigation.children) === null || _a === void 0 ? void 0 : _a.forEach((navigationItem) => {
        var _a, _b;
        if (navigationItem.url && ((_a = navigationItem.children) === null || _a === void 0 ? void 0 : _a.length) === 0) {
            const urlKey = navigationItem.url.replace('.md', '');
            navJson.push([
                urlKey === 'README' ? `/${outFolder}/` : 'modules',
                navigationItem.title,
            ]);
        }
        else {
            navJson.push({
                title: navigationItem.title,
                children: (_b = navigationItem.children) === null || _b === void 0 ? void 0 : _b.map((navItem) => {
                    return [
                        getUrlKey(navItem.url),
                        sidebar.fullNames ? navItem.title : getShortName(navItem.title),
                    ];
                }),
            });
        }
    });
    if (sidebar.parentCategory && sidebar.parentCategory !== 'none') {
        return [{ title: sidebar.parentCategory, children: navJson }];
    }
    return navJson;
};
const getUrlKey = (url) => {
    return url.replace('.md', '');
};
